part of io.repro.flutter;

enum NewsFeedCampaignType {
  Unknown,
  PushNotification,
  InAppMessage,
  WebMessage,
  All
}

class DartNewsFeedUtils {
  static String convertCampaignTypeToString(final NewsFeedCampaignType type) {
    switch (type) {
      case NewsFeedCampaignType.PushNotification:
        return "push_notification";
      case NewsFeedCampaignType.InAppMessage:
        return "in_app_message";
      case NewsFeedCampaignType.WebMessage:
        return "web_message";
      case NewsFeedCampaignType.All:
        return "all";
      case NewsFeedCampaignType.Unknown:
        return "unknown";
      default:
        return "unknown";
    }
  }

  static NewsFeedCampaignType convertStringToCampaignType(final String typeStr) {
    switch (typeStr) {
      case "push_notification":
        return NewsFeedCampaignType.PushNotification;
      case "in_app_message":
        return NewsFeedCampaignType.InAppMessage;
      case "web_message":
        return NewsFeedCampaignType.WebMessage;
      case "all":
        return NewsFeedCampaignType.All;
      default:
        return NewsFeedCampaignType.Unknown;
    }
  }
}
