part of io.repro.flutter;

/// This class is the equivalent of a news feed entry.
class NewsFeedEntry {
  int _id;
  NewsFeedCampaignType _campaignType;
  String _deviceID;
  String _title;
  String _summary;
  String _body;
  String _linkUrl;
  String _imageUrl;
  DateTime _deliveredAt;
  String _rawDeliveredAt;
  bool shown;
  bool read;

  int get id => _id;
  NewsFeedCampaignType get campaignType => _campaignType;
  String get deviceID => _deviceID;
  String get title => _title;
  String get summary => _summary;
  String get body => _body;
  String get linkUrl => _linkUrl;
  String get imageUrl => _imageUrl;

  /// This property is a UTC date.
  DateTime get deliveredAt => _deliveredAt;
  String get rawDeliveredAt => _rawDeliveredAt;

  NewsFeedEntry(Map<String, String> entry) {
    _id = int.parse(entry['id']);
    _campaignType = DartNewsFeedUtils.convertStringToCampaignType(entry['campaignType']);
    _deviceID = entry['deviceID'];
    _title = entry['title'];
    _summary = entry['summary'];
    _body = entry['body'];
    _linkUrl = entry['linkUrl'];
    _imageUrl = entry['imageUrl'];
    _deliveredAt = DateTime.parse(entry['deliveredAt']);
    _rawDeliveredAt = entry['deliveredAt'];
    shown = entry['shown'] == 'true';
    read = entry['read'] == 'true';
  }
}
