part of io.repro.flutter;

/// The class that corresponds to the value of RemoteConfig.
class RemoteConfigValue {
  // Expects: { "String": "123", "int": 123, "toString": "123" }
  Map<dynamic, dynamic> _rawValueMap;

  RemoteConfigValue(Map<dynamic, dynamic> map) {
    if (map == null) {
      print('[Error#ReproFlutterPlugin] RemoteConfigValue(): The argument is null.');
    } else {
      _rawValueMap = map;
    }
  }

  /// If the RemoteConfig value is a string, it returns a string.
  /// Otherwise, it returns null.
  String asString() {
    if (_rawValueMap != null && _rawValueMap.containsKey('String')) {
      return _rawValueMap['String'];
    }
    print('[Error#ReproFlutterPlugin] RemoteConfigValue#asString: This value is not a string.');
    return null;
  }

  @override
  String toString() {
    return _rawValueMap['toString'];
  }
}
